Runtime

## org.eclipse.gmf.runtime.diagram.ui.providers
Class CompositeLeftRightProvider

    java.lang.Object
      AbstractLayoutEditPartProvider
          org.eclipse.gmf.runtime.diagram.ui.providers.internal.DefaultProvider
              org.eclipse.gmf.runtime.diagram.ui.providers.internal.CompositeLayoutProvider
                  org.eclipse.gmf.runtime.diagram.ui.providers.CompositeLeftRightProvider

    public class CompositeLeftRightProvider

extends org.eclipse.gmf.runtime.diagram.ui.providers.internal.CompositeLayoutProvider

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.providers.internal.DefaultProvider
`layoutDefaultMargin, MAX_EDGE_PADDING, MIN_EDGE_END_POINTS_PADDING, MIN_EDGE_PADDING, minX, minY, mm, NODE_PADDING`

Constructor Summary
`CompositeLeftRightProvider()`

Method Summary
`protected DirectedGraph` `createGraph()` Creates the graph that will be used by the layouy provider Clients can override this method create different kind of graphs This method is called by `DefaultProvider.layoutEditParts(GraphicalEditPart, IAdaptable)` and `DefaultProvider.layoutEditParts(List, IAdaptable)`
`protected int` `getLayoutDirection(GraphicalEditPart ep)` Gets the layout direction for an editpart.
`protected Rectangle` `translateFromGraph(Rectangle rect)` Retrieves the logical extent and position from the given rectangle.
`protected Rectangle` `translateToGraph(Rectangle r)` Retrieves the extent and position from the given logical rectangle in GEF graph coordinates.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.providers.internal.CompositeLayoutProvider
`adjustNodePadding, build_nodes, buildNodes, createGraphLayout, createNodeChangeBoundCommands, getNodeMetrics, hasChildren, postProcessGraph, routeThrough, shouldHandleConnectableListItems`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.providers.internal.DefaultProvider
`addAnchorsCommands, build_borderNodes, build_edges, build_graph, buildBorderNodes, buildEdges, buildGraph, canCreateBorderNode, createEdgesChangeBoundsCommands, createSubCommands, getMapMode, getRelevantConnections, initializeEdge, layoutEditParts, layoutEditParts, layoutTopDown, provides, setNodeMetrics, supportsBorderNodes, update_diagram`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeLeftRightProvider

    public CompositeLeftRightProvider()

Method Detail

### translateToGraph

    protected Rectangle translateToGraph(Rectangle r)

  Description copied from class: `org.eclipse.gmf.runtime.diagram.ui.providers.internal.DefaultProvider`
  Retrieves the extent and position from the given logical rectangle in GEF graph coordinates. Defined as abstract to allow subclasses to implement to perform a transformation on the values stored in the node. i.e. support for Left-Right layout as opposed to Top-Down.

  Specified by:
    `translateToGraph` in class `org.eclipse.gmf.runtime.diagram.ui.providers.internal.DefaultProvider`
  Returns:
    `Rectangle` in graph coordinates.

### translateFromGraph

    protected Rectangle translateFromGraph(Rectangle rect)

  Description copied from class: `org.eclipse.gmf.runtime.diagram.ui.providers.internal.DefaultProvider`
  Retrieves the logical extent and position from the given rectangle. Defined as abstract to allow subclasses to implement to perform a transformation on the values stored in the node. i.e. support for Left-Right layout as opposed to Top-Down.

  Specified by:
    `translateFromGraph` in class `org.eclipse.gmf.runtime.diagram.ui.providers.internal.DefaultProvider`
  Parameters:
    `rect` - `Rectangle` that has the values to be translated in graph (pixel) coordinates.
  Returns:
    `Rectangle` in logical coordinates.

### createGraph

    protected DirectedGraph createGraph()

  Description copied from class: `org.eclipse.gmf.runtime.diagram.ui.providers.internal.DefaultProvider`
  Creates the graph that will be used by the layouy provider Clients can override this method create different kind of graphs This method is called by `DefaultProvider.layoutEditParts(GraphicalEditPart, IAdaptable)` and `DefaultProvider.layoutEditParts(List, IAdaptable)`

  Overrides:
    `createGraph` in class `org.eclipse.gmf.runtime.diagram.ui.providers.internal.CompositeLayoutProvider`
  Returns:
    the Graph that will be used by the layout algorithm

### getLayoutDirection

    protected int getLayoutDirection(GraphicalEditPart ep)

  Description copied from class: `org.eclipse.gmf.runtime.diagram.ui.providers.internal.CompositeLayoutProvider`
  Gets the layout direction for an editpart. Every editpart mapped to `AdvancedSubGraph` will be asked for its desired layout direction such that children of the subgraph are laid out accordingly to that direction.

  Overrides:
    `getLayoutDirection` in class `org.eclipse.gmf.runtime.diagram.ui.providers.internal.CompositeLayoutProvider`
  Parameters:
    `ep` - the editpart

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.